//
//  FirstViewController.m
//  ex_shouldAutorotate_tabBarController
//
//  Created by yoshiyuki oshige on 2013/09/15.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "FirstViewController.h"
#import "TabBarController.h"

@interface FirstViewController ()
{
    //TabBarControllerクラスのインスタンス
    TabBarController *myTabBarController;
}

@end

@implementation FirstViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
	//TabBarControllerクラスのインスタンスを取得する
    myTabBarController = (TabBarController *)self.tabBarController;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// オートローテーションに合わせてタブバーの表示／非表示を行う
- (BOOL)shouldAutorotate {
    //デバイスの取得
    UIDevice *device = [UIDevice currentDevice];
    //デバイスの向きを調べる
    switch (device.orientation) {
        case UIDeviceOrientationPortrait: //デバイス正面向き
            //タブバーを表示する
            [myTabBarController showTabBar:YES];
            return YES;
            break;
        case UIDeviceOrientationPortraitUpsideDown: //デバイス逆さま
            return NO; //回転させない
            break;
        case UIDeviceOrientationLandscapeLeft: //デバイス左回転
            //タブバーを隠す
            [myTabBarController showTabBar:NO];
            return YES;
            break;
        case UIDeviceOrientationLandscapeRight: //デバイス右回転
            //タブバーを隠す
            [myTabBarController showTabBar:NO];
            return YES;
           break;
        default:
            return YES;
            break;
    }
}

// すべての向きの画面回転を許可する
- (NSUInteger)supportedInterfaceOrientations {
    return UIInterfaceOrientationMaskAll;
}

@end
