//
//  FlipsideViewController.m
//  ex_shouldAutorotate
//
//  Created by yoshiyuki oshige on 2013/09/14.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "FlipsideViewController.h"

@interface FlipsideViewController ()
{
    UIDevice *device;
    CGRect textviewFrame;
}
//テキストビューをアウトレット接続しておく
@property (weak, nonatomic) IBOutlet UITextView *myTextView;

@end

@implementation FlipsideViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	//デバイスを調べる
    device = [UIDevice currentDevice];
    //テキストビューを移動させる位置
    textviewFrame = CGRectMake(240, 85, 200, 200);
}

//画面が回転した状態からシーンが開いたときに対応する
- (void)viewDidLayoutSubviews
{
    //デバイスが右または左に回転していたらテキストビューの表示位置を変更する
    if((device.orientation == UIDeviceOrientationLandscapeLeft)||
       (device.orientation == UIDeviceOrientationLandscapeRight))
    {
        _myTextView.frame = textviewFrame;
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Actions

- (IBAction)done:(id)sender
{
    [self.delegate flipsideViewControllerDidFinish:self];
}


// オートローテーションをすべきかどうか調べる
- (BOOL)shouldAutorotate {
    switch (device.orientation) {
        case UIDeviceOrientationPortrait: //デバイス正面向き
            return YES;
            break;
        case UIDeviceOrientationPortraitUpsideDown: //デバイス逆さま
            return NO; //回転させない
            break;
        case UIDeviceOrientationLandscapeLeft: //デバイス左回転
            //テキストビューを移動する
            _myTextView.frame = textviewFrame;
            return YES;
            break;
        case UIDeviceOrientationLandscapeRight: //デバイス右回転
            //テキストビューを移動する
            _myTextView.frame = textviewFrame;
            return YES;
            break;
        default:
            return YES;
            break;
    }
}

// オートローテーションで画面が回転する方向を許可する
- (NSUInteger)supportedInterfaceOrientations {
    // 画面の正面向き、右回転、左回転を許可する
    return (UIInterfaceOrientationMaskPortrait
            | UIInterfaceOrientationMaskLandscapeRight
            | UIInterfaceOrientationMaskLandscapeLeft);
}


@end
