//
//  ViewController.m
//  ex_CMMotionManager_accelerometer-pull
//
//  Created by yoshiyuki oshige on 2013/09/16.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"
//CoreMotion フレームワークをインポートする
#import <CoreMotion/CoreMotion.h>

@interface ViewController ()
{
    //モーションマネージャ
    CMMotionManager *motionManager;
}
//ラベルとアウトレット接続する
@property (weak, nonatomic) IBOutlet UILabel *labelX;
@property (weak, nonatomic) IBOutlet UILabel *labelY;
@property (weak, nonatomic) IBOutlet UILabel *labelZ;

//スイッチのアウトレット接続とアクション接続
@property (weak, nonatomic) IBOutlet UISwitch *mySwitch;
- (IBAction)startStop:(UISwitch *)sender;

//Updateボタンのアウトレット接続とアクション接続
@property (weak, nonatomic) IBOutlet UIButton *updateButton;
- (IBAction)update:(UIButton *)sender;
@end


@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// スイッチオフから開始する
    _mySwitch.on = NO;
    //Updateボタンを隠す
    _updateButton.hidden = YES;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//センサーの利用開始と終了を切り替える
- (IBAction)startStop:(UISwitch *)sender
{
    if(_mySwitch.on){
        if(! motionManager){
            // モーションマネージャを作る
            motionManager = [[CMMotionManager alloc] init];
        }
        // センサーの利用を開始する
        [motionManager startAccelerometerUpdates];
        //Updateボタンを表示する
        _updateButton.hidden = NO;
    }else{
        // センサーの利用を終了する
        [motionManager stopAccelerometerUpdates];
        //Updateボタンを隠す
        _updateButton.hidden = YES;
    }
}

//値を更新する
- (IBAction)update:(UIButton *)sender
{
    // 加速度センサーのデータを取り出す
    CMAccelerometerData *data = motionManager.accelerometerData;
    double accx = data.acceleration.x;// X 軸: 加速度G
    double accy = data.acceleration.y;// Y 軸: 加速度G
    double accz = data.acceleration.z;// Z 軸: 加速度G
    //ラベルに値を表示する（小数点以下4桁まで）
    _labelX.text = [NSString stringWithFormat:@"x= %.4f", accx];
    _labelY.text = [NSString stringWithFormat:@"y= %.4f", accy];
    _labelZ.text = [NSString stringWithFormat:@"z= %.4f", accz];
}


@end
